CRYPTO_HASH_UPDATE(9)

NAME
crypto_hash_update - add data to message digest for processing

SYNOPSIS

int crypto_hash_update(struct hash_desc * desc, struct scatterlist * sg, unsigned int nbytes);

ARGUMENTS

desc
    cipher request handle

sg
    scatter / gather list pointing to the data to be added to the message digest

nbytes
    number of bytes to be processed from sg

DESCRIPTION

Updates the message digest state of the cipher handle pointed to by the hash cipher request handle with the input data pointed to by the scatter/gather list.

RETURN

0 if the message digest update was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT